<?php

/**
 *      @file
 *      mouseflow.admin.inc
 *      this file will be delete and it's code add to the original module.
 *
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

function mouseflow_configure_options($form_state) {

  $form = array();

  $form['mouseflow_code'] = array(
    '#title'         => t('mouseflow JavaScript code'),
    '#type'          => 'textarea',
    '#default_value' => variable_get('mouseflow_code', NULL)
  );

  // Role-based visibility settings
  $role_options = array();
  $role_options = user_roles();

  $form['role_vis_settings'] = array(
    '#type'        => 'fieldset',
    '#title'       => t('Role specific JavaScript inclusion settings'),
    '#collapsible' => TRUE,
  );
  $form['role_vis_settings']['mouseflow_roles'] = array(
    '#type'          => 'checkboxes',
    '#title'         => t('Include JavaScript for specific roles'),
    '#default_value' => variable_get('mouseflow_roles', array()),
    '#options'       => $role_options,
    '#description'   => t('Include the JavaScript only for the selected role(s). If you select no roles, the code will be included for all users.'),
  );

  $form['page_vis_settings'] = array(
    '#type'        => 'fieldset',
    '#title'       => t('Page specific JavaScript inclusion settings'),
    '#collapsible' => TRUE,
  );

  $access = user_access('use PHP for JavaScript inclusion');

  if ($edit['visibility'] == 2 && !$access) {
    $form['page_vis_settings'] = array();
    $form['page_vis_settings']['mouseflow_visibility'] = array(
      '#type'  => 'value',
      '#value' => 2,
    );
    $form['page_vis_settings']['mouseflow_pages'] = array(
      '#type'  => 'value',
      '#value' => variable_get('mouseflow_pages', NULL),
    );
  }
  else {
    $options = array(t('Include on every page except the listed pages.'), t('Include on only the listed pages.'));
    $description = t("Enter one page per line as Drupal paths. The '*' character is a wildcard. Example paths are %blog for the blog page and %blog-wildcard for every personal blog. %front is the front page.",
                     array('%blog' => 'blog', '%blog-wildcard' => 'blog/*', '%front' => '<front>')
                    );

    if ($access) {
      $options[]    = t('Include if the following PHP code returns <code>TRUE</code> (PHP-mode, experts only).');
      $description .= ' '. t('If the PHP-mode is chosen, enter PHP code between %php. Note that executing incorrect PHP-code can break your Drupal site.', array('%php' => '<?php ?>'));
    }

    $form['page_vis_settings']['mouseflow_visibility'] = array(
      '#type'          => 'radios',
      '#title'         => t('Include code on specific pages'),
      '#options'       => $options,
      '#default_value' => variable_get('mouseflow_visibility', NULL),
    );
    $form['page_vis_settings']['mouseflow_pages'] = array(
      '#type'          => 'textarea',
      '#title'         => t('Pages'),
      '#default_value' => variable_get('mouseflow_pages', NULL),
      '#description'   => $description,
    );
  }

  return system_settings_form($form);
}
